extends ../base.jade

block scripts
  script(src="//cdn.ckeditor.com/4.4.5/standard-all/ckeditor.js")

block vars
  - var page = 'post_item', locale = req.getLocale()

block title
  title= post['title_'+locale]+' | '+ __('title_right_part')

block main
  .PW.isle.MB
    .Post
      div
        if session.user && ( (session.user.id == post.author_id.id) || (session.user.type === 'moderator' || session.user.type === 'administrator'))
          a.toRight.Fsg(href="/post/#{post.id}/edit")= __('edit')
        img.authorAvatar(src="#{ post.author_id.avatar || '/images/icons/default_avatar.png' }")
        a.authorName(href= '/user/'+post.author_id.id)= post.author_id.display_name
        span.date #{ Transform.date_to_string( post.createdAt, locale ) } #{ Transform.time_to_string( post.createdAt ) }
      h3.title= post['title_'+locale]
      .html!= post['html_'+locale]
      .IB(style="margin-bottom: 15px; width: 100%")
        .countComments
          span.counterComments= post.count_comments
        .countSubscribers(data-post-id= post.id ,class= !session.user? null : post.is_subscribed? "subscribed a-subscribeToPost" : "a-subscribeToPost", title= !session.user? __('added_in_favs') : post.is_subscribed? __('remove_from_favs') : __('add_to_favs'))
          span.counterSubscribers= post.count_subscribers
        if post.tags[0]
          .Tag
            img.icon-tag(src="/images/icons/tag.png")
            for tag in post.tags
              a.item-tag(href= '/tag/'+tag.id)= tag['name_'+locale]

    if comments[0]
      .Comment!= Html.create_comments(comments, 20, locale)

    else 
      p(style="margin: 20px 0")= __('stub_comment_empty')
    
    if session.user 
      form#createMessage(method="post", action="/comment")
        input(type="hidden", name="_csrf", value= _csrf)
        input(type="hidden", name="post_id", value= post.id)
        input(type="hidden", name="user_id", value= session.user.id)
        input(type="hidden", name="parent_id")
        textarea(name="html", required)
        button.button.active(type="submit")= __('send')

    else
      p(style="margin: 20px 0")= __('stub_comment_not_register')